Subject: Re: Ahn/Rick/Temporal element

From: Shashi K. Gadia <[email-masked]>
Date: Wed, 15 Sep 93 17:15:26 CDT

> 
> 
> > From tdbglossary-sender Wed Sep 15 12:52:26 1993
> > 	
> > > 	A temporal element in one dimension is 
> > > 	a union but NOT a set of intervals.  
> > > 
> > > Greetings.
> > > If a union is a set operator, doesn't a union of intervals
> > > result in a set (of intervals) ?
> > 
> > No.
> > 
> > > I don't see the significance of the distinction here.
> > > 
> > This distinction is similar to: "a relation is not a sequence 
> > of tuples rather a set of tuples.  This distinction is 
> > extremely important.
> > 
> > A union of intervals is already a reduced object having 
> > a unique representation, where as a set is not.  
> 
> Shashi,
> 	This discussion raises two questions in my mind. If I have
> three temporal elements, each containing one interval:
> 	A = [1..10]
> 	B = [11..20]
> 	C = [21..30]
> 
> Then D= A union C is a temporal element containing two intervals.
> 
> My question is, how many intervals are in E = D union B?

Example: 

   E = 1..10 U 5..23 U 21..30 U 6..24

Where as the above union is unique, the intervals chosen 
to express that union is not.

> 
> Also, if a union of intervals (a temporal element) has a unique
> representation, what is that representation?

Union exists as a unique and well defined 
object.  That is all what matters. 

> 
> >  To me temporal 
> > element (the concept) is the most primitive notion in 
> > temporal databases.
> 
> I agree with you that the concept of temporal elements is
> very important in temporal databases. Closure under union, etc., is
> a very nice property to have.
> 
> Cheers,
> 	Rick
>